package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.algorithm.AlgorithmParameter;
import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.po.project.*;
import api.common.pojo.vo.project.*;
import com.css.simulation.resource.server.infra.db.entity.SimulationAutomaticProjectEntity;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SimulationAutomaticProjectMapper {


     SimulationAutomaticProjectPO selectById(String id);

     List<SimulationAutomaticProjectPO> selectAutomaticProjectByQuery(SimulationManualProjectParam param);

     SimulationAutomaticProjectPO selectLastProjectId(Integer nowRq);

     List<SimulationManualProjectVO> selectAutomaticProjectList(SimulationManualProjectParam param);

     int add(SimulationAutomaticProjectPO po);

     int updateById(SimulationAutomaticProjectPO po);

     List<SimulationAutomaticProjectPO> selectProjectNowRunState(String[] ids);

     int deleteProject(String[] ids);

     int updateAutomaticRunState(SimulationManualProjectParam param);

     AutomaticProjectVO selectAutomaticProjectInfoById(String id);

     int updateAlgorithmGitVersion(AlgorithmParameter algorithmParameter);

     int updateAutomaticRunTimes(SimulationAutomaticProjectPO po);


    String selectAlgorithmTypeById(SimulationAutomaticProjectEntity build);

     String selectAlgorithmById();
}
